Bug 136494 - perl-Time-Hires no longer needed.
perl-Time-Hires no longer needed.
Product: Fedora
Classification: Fedora
Component: perl-Time-HiRes (Show other bugs)
All Linux
medium Severity high
: ---
: ---
Assigned To: Warren Togami
Depends On:
  Show dependency treegraph
Reported: 2004-10-20 11:05 EDT by Jose Pedro Oliveira
Modified: 2007-11-30 17:10 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-09-14 08:39:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Diff of spec files; works here (3.07 KB, patch)
2005-04-09 10:02 EDT, Robert Scheck
no flags Details | Diff
Rediff with wished changes (3.15 KB, patch)
2005-04-09 10:40 EDT, Robert Scheck
no flags Details | Diff

  None (edit)
Description Jose Pedro Oliveira 2004-10-20 11:05:19 EDT
Description of problem:
This package is no longer needed.

Version-Release number of selected component (if applicable):

Additional info:
* Perl version 5.8.5 (and 5.8.4) already ships with Time::HiRes
version 1.59 as a core module. The perl specfile should be modified
in order to not delete this module. In particular the following line
should be deleted:
   find $RPM_BUILD_ROOT -name '*HiRes*' | xargs rm -rfv
* Another possible solution would be to upgrade to the latest version
available on CPAN (Time-HiRes-1.65.tar.gz).
Comment 1 Jose Pedro Oliveira 2005-01-27 22:29:14 EST
This is related to #136496 (and #141100).
Comment 2 Robert Scheck 2005-01-28 01:21:19 EST
I absolutely agree with Jose. We should deliver it with the core 
package rather as an external package.
Comment 3 Warren Togami 2005-03-31 05:13:36 EST
Thanks Jose.  Please confirm this and I'll do it:

For FC4 should we remove perl-Time-HiRes and use the perl main package, or
should we upgrade perl-Time-Hires from CPAN?  Which is better right now?
Comment 4 Warren Togami 2005-03-31 05:17:02 EST
oh... I see Chip's comments in Bug #136496.  Does his rationale still apply now?
 Is perl-Time-Hires "done" and no longer changing often upstream?
Comment 5 Ville Skyttä 2005-03-31 11:58:45 EST
See the timestamps at http://backpan.cpan.org/authors/id/J/JH/JHI/ ; at least
its release pace has slowed down quite a bit.

FWIW, my +1 for removing the external package (+ explicit versioned
Provides/Obsoletes in the main Perl package for smooth upgrades).
Comment 6 Ville Skyttä 2005-03-31 11:59:57 EST
(I meant to say _addition_ of explicit versioned ...)
Comment 7 Jose Pedro Oliveira 2005-03-31 15:08:44 EST
I also vote for removing the external perl-Time-HiRes package. 

I will try to ask in the perl5-porters mailing list if they are
planning to update the core Time::HiRes module for perl 5.8.7
(which should be almost ready).

Additional information
Latest CPAN Time::HiRes: 1.66

Latest perl 5.8.7 snapshot (2005-02-07)
Snapshot Time::HiRes version: 1.65
Comment 8 Jose Pedro Oliveira 2005-03-31 15:17:01 EST
Would it be possible to release an errata for FC3 syncing the external package
perl-Time-HiRes version (v1.55) with the perl core version (perl-5.8.5 ->
Time::HiRes 1.59)?
Comment 9 Jose Pedro Oliveira 2005-03-31 16:15:50 EST
Just received an update from Nicholas Clark:
- he expects to release perl 5.8.7 in three weeks (time frame)
- he also plans to update the core modules (Time::HiRes, CGI, ...)

Comment 10 Warren Togami 2005-03-31 16:36:51 EST
Comment #8, huh?  You want to remove perl-Time-HiRes from FC3 during an update?  No.

Comment #9, I fear that may be too late for FC4.  Changing something like this
so late in the FC4 cycle will folks worried.  Maybe if we can demonstrate that
we can easily upgrade perl without necessitating the rebuild of anything else it
would be OK.
Comment 11 Jose Pedro Oliveira 2005-03-31 17:36:34 EST
(In reply to comment #10)
> Comment #8, huh?  You want to remove perl-Time-HiRes from FC3 during an
update?  No.

No. I would like to have perl-Time-HiRes updated as an errata
(perl-Time-HiRes-1.55 updated to perl-Time-HiRes-1.59).
Comment 12 Warren Togami 2005-03-31 17:44:53 EST
Why 1.59 and not 1.66?  Just curious.

Please submit your desired spec for FC3 and FC4 for now.  We may switch to the
main perl package for FC4 later, but for now assume we wont.
Comment 13 Jose Pedro Oliveira 2005-03-31 17:52:58 EST
(In reply to comment #12)
> Why 1.59 and not 1.66?  Just curious.

Version 1.59 is the one that shipped with perl-5.8.5.

I don't think it should be upgraded to 1.66. We should try to keep that number
below or equal to 1.65 (version that shipped with perl 5.8.6 and that exists in
the latest perl 5.8.7 snapshot) - unless the plan is to keep Time::HiRes as
an external package.

Comment 14 Michael A. Peters 2005-03-31 18:16:52 EST
I've been using Time::HiRes 1.66 on FC4T1 and it has been working for me
(SlimServer uses it)

I will test 1.65 and see if it works equally well, but 1.66 is what a perl app I
use wants to install if Time::HiRes is not already on the system. It could be
that it wants to install that version simply because that is what was available
when the software released - but I (as a user) would obviously prefer 1.66 since
I use an app that at least thinks it needs that version.
Comment 15 Warren Togami 2005-04-09 04:02:29 EDT
Please submit a spec patch to upgrade perl-Time-HiRes in FC4.  This will make it
a completely separate issue from upgrading perl-5.8.7, which may or may not
happen.  We can decide then if we want to include HiRes in the main package.
Comment 16 Robert Scheck 2005-04-09 10:02:54 EDT
Created attachment 112909 [details]
Diff of spec files; works here
Comment 17 Jose Pedro Oliveira 2005-04-09 10:26:49 EDT

Could you rediff with the following changes:
 * change the License to "GPL or Artistic",
 * change the perl build requirement to "perl >= 1:5.6.1",
 * add the files "Changes" and "TODO" to the doc list
 * and please don't use TABS in the specfile

Thanks in advance,
Comment 18 Robert Scheck 2005-04-09 10:40:56 EDT
Created attachment 112910 [details]
Rediff with wished changes

Jose, here it is (hopefully okay)
Comment 19 Jose Pedro Oliveira 2005-04-09 13:08:58 EDT


Comment 20 Jose Pedro Oliveira 2005-04-22 20:36:23 EDT

In the meantime could you update Time::HiRes to version 1.65?

I'm just being cautious in case 1.66 doesn't get into perl 5.8.7.  I will
start inquiring upstream about perl 5.8.7 and the status of the core modules
Time::HiRes, CGI, and Filter::Simple [1].  

The source URL is:


[1] perl-Filter and perl-Filter-Simple are in the same situation as
perl-Time-HiRes (perl 5.8 core modules being packaged independently.
Comment 21 Warren Togami 2005-04-23 01:17:26 EDT
Upgraded, but not closing because this is really about the goal of switching to
perl provided perl-Time-HiRes.  Still may happen in the future.
Comment 22 Jose Pedro Oliveira 2005-04-26 13:47:37 EDT
Time::HiRes in perl 5.8.7 has been updated to version 1.66.

5.8.7 perldelta
Nicholas Clark
Tue, 26 Apr 2005 08:36:39 -0700
Comment 23 Jose Pedro Oliveira 2005-08-29 13:49:07 EDT
Perl 5.8.7 appeared today in rawhide and now it ships with the 
Time::HiRes core module as expected.

$ rpm -qpl perl-5.8.7-0.1.fc5.i386.rpm  | grep HiRes

$ rpm -qp --provides perl-5.8.7-0.1.fc5.i386.rpm  | grep HiRes
perl(Time::HiRes) = 1.66

* remove the Fedora Core package perl-Time-HiRes 
Comment 24 Florian La Roche 2005-09-09 06:50:34 EDT
Elliot, can you remove this package from FC-development trees?


Florian La Roche
Comment 25 Jose Pedro Oliveira 2005-09-14 08:39:07 EDT
Perl-Time-HiRes package removed in 20050913.

rawhide report: 20050913 changes

Removed package perl-Time-HiRes

Removed package perl-Filter-Simple

Removed package perl-Filter

Note You need to log in before you can comment on or make changes to this bug.